### Hierarchy

- ICryptoService

### Implemented by

- Crypto

## Index

### Properties

- decryptContent
- encryptContent

## Properties

### decryptContent

decryptContent: function

- Defined in Crypto.ts:10

#### Type declaration

- - (key: any, data: string): IPageContent | null

  - #### Parameters

    - ##### key: any

    - ##### data: string

    #### Returns IPageContent | null

### encryptContent

encryptContent: function

- Defined in Crypto.ts:11

#### Type declaration

- - (key: IEncryptionKey, data: IPageContent): string | null

  - #### Parameters

    - ##### key: IEncryptionKey

    - ##### data: IPageContent

    #### Returns string | null

Generated using TypeDoc